%global momorel 7

Summary: uploader module for Apache
Name: mod_uploader
Version: 1.2.0
Release: %{momorel}m%{?dist}
License: "zlib/libpng"
#http://www.opensource.org/licenses/zlib-license.php
Group: System Environment/Daemons
URL: http://acapulco.dyndns.org/mod_uploader/
Source0: http://dl.sourceforge.jp/mod-uploader/16449/%{name}-%{version}.tgz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: httpd-devel >= 2.2.2
BuildRequires: apr-devel
BuildRequires: gcc-c++ >= 3.4.1-1m
BuildRequires: ImageMagick >= 6.2.3
BuildRequires: make
Requires: webserver

%description
The mod_uploader lets typical web uploader.

%prep
%setup -q

%configure --with-aprconf=%{_bindir}/apr-1-config
%build
make APXS=/usr/sbin/apxs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/httpd/modules
cp mod_uploader.so %{buildroot}%{_libdir}/httpd/modules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/httpd/modules/*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-7m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-6m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-3m)
- rebuild against gcc43

* Thu May  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-2m)
- rebuild against httpd-2.2.2

* Thu Sep 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-1m)
- initial import to momonga
